local t = Def.ActorFrame {
	--[[
	LoadSongBackground()..{
		InitCommand=cmd(Center;diffusealpha,1;);
		OnCommand=cmd(sleep,0.5;linear,0.5;cropbottom,1;fadebottom,1);
	};
	--]]
	Def.Sprite{
		InitCommand=cmd(Center;diffusealpha,1;);
		BeginCommand=cmd(LoadFromCurrentSongBackground;scaletoclipped,SCREEN_WIDTH,SCREEN_HEIGHT;);
		OnCommand=cmd(sleep,0.5;linear,0.5;cropbottom,1;fadebottom,1);
	};

	-- [v1.4] stuff for course mode
	Def.Quad{
		Condition=GAMESTATE:IsCourseMode();
		InitCommand=cmd(FullScreen;diffuse,color("0,0,0,0"));
		OnCommand=cmd(sleep,0.5;linear,0.5;diffusealpha,0);
	};

	Def.Actor{
		Name="FW1Controller";
		BeginCommand=function(self)
			-- reset flashing marvelous count on the start of a new song.
			setenv("FlashingMarvsP1",0);
			setenv("FlashingMarvsP2",0);
		end;
	};
};

return t;